Package org.apache.ignite.internal.management.cache

## Class CacheMetricsCommand

- java.lang.Object
- - org.apache.ignite.internal.management.cache.CacheMetricsCommand

All Implemented Interfaces:
  `Command<CacheMetricsCommandArg,​Map<String,​Boolean>>`, `ComputeCommand<CacheMetricsCommandArg,​Map<String,​Boolean>>`

    public class CacheMetricsCommand
    extends Object
    implements ComputeCommand<CacheMetricsCommandArg,​Map<String,​Boolean>>

Enable / disable cache metrics collection or show metrics collection status.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`CacheMetricsCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<CacheMetricsCommandArg>` `argClass()`
`String` `description()` Command description.
`void` `printResult​(CacheMetricsCommandArg arg, Map<String,​Boolean> res, Consumer<String> printer)` Prints command result to the user.
`Class<CacheMetricsTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`handleException, nodes`

### Constructor Detail

#### CacheMetricsCommand

    public CacheMetricsCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<CacheMetricsCommandArg,​Map<String,​Boolean>>`

#### argClass

    public Class<CacheMetricsCommandArg> argClass()

Specified by:
  `argClass` in interface `Command<CacheMetricsCommandArg,​Map<String,​Boolean>>`
Returns:
  Arguments class.

#### taskClass

    public Class<CacheMetricsTask> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<CacheMetricsCommandArg,​Map<String,​Boolean>>`
Returns:
  Task class.

#### printResult

    public void printResult​(CacheMetricsCommandArg arg,
                            Map<String,​Boolean> res,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<CacheMetricsCommandArg,​Map<String,​Boolean>>`
Parameters:
  `arg` - Argument.
  `res` - Result.
  `printer` - Implementation specific printer.